SDL_DataQueue Struct Reference
Collaboration diagram for SDL_DataQueue:
[legend]

## Data Fields

SDL_DataQueuePacket * | head
SDL_DataQueuePacket * | tail
SDL_DataQueuePacket * | pool
size_t | packet_size
size_t | queued_bytes

## Detailed Description

Definition at line 35 of file SDL_dataqueue.c.

## Field Documentation

## head

SDL_DataQueuePacket* SDL_DataQueue::head

Definition at line 37 of file SDL_dataqueue.c.

Referenced by AllocateDataQueuePacket(), SDL_ClearDataQueue(), SDL_FreeDataQueue(), SDL_PeekIntoDataQueue(), SDL_ReadFromDataQueue(), SDL_ReserveSpaceInDataQueue(), and SDL_WriteToDataQueue().

## packet_size

size_t SDL_DataQueue::packet_size

Definition at line 40 of file SDL_dataqueue.c.

Referenced by AllocateDataQueuePacket(), SDL_ClearDataQueue(), SDL_NewDataQueue(), SDL_ReserveSpaceInDataQueue(), and SDL_WriteToDataQueue().

## pool

SDL_DataQueuePacket* SDL_DataQueue::pool

Definition at line 39 of file SDL_dataqueue.c.

Referenced by AllocateDataQueuePacket(), SDL_ClearDataQueue(), SDL_FreeDataQueue(), SDL_NewDataQueue(), SDL_ReadFromDataQueue(), and SDL_WriteToDataQueue().

## queued_bytes

size_t SDL_DataQueue::queued_bytes

Definition at line 41 of file SDL_dataqueue.c.

Referenced by AllocateDataQueuePacket(), SDL_ClearDataQueue(), SDL_CountDataQueue(), SDL_PeekIntoDataQueue(), SDL_ReadFromDataQueue(), SDL_ReserveSpaceInDataQueue(), and SDL_WriteToDataQueue().

## tail

SDL_DataQueuePacket* SDL_DataQueue::tail

Definition at line 38 of file SDL_dataqueue.c.

Referenced by AllocateDataQueuePacket(), SDL_ClearDataQueue(), SDL_ReadFromDataQueue(), and SDL_WriteToDataQueue().

The documentation for this struct was generated from the following file:

- src/SDL_dataqueue.c